#include<bits/stdc++.h>
using namespace std;
#define ll long long
int n,m,dp[2][10100],resenje=INT_MAX,lista[101000];
set<int> s;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    cin >> n >> m;
    for(int i=1;i<=n;i++){
        cin>>lista[i];
    }
    for(int i=0;i<=10010;i++){
        dp[0][i]=0;
        dp[1][i]=0;

    }


    for(int i=0;i<(1<<(n));i++){
        for(int j=0;j<=23;j++){
        dp[0][j]=0;
        dp[1][j]=0;

        }
        for(int j=0;j<=(n-1);j++){
            int strana = 1<<j & i;
            int x = lista[j+1];
            if(strana==0){
                for(int k=1;k<=m;k++){
                    if(k<=x) dp[0][k]++;
                    else dp[1][k]++;
                }
            }
            else{
                for(int k=1;k<=m;k++){
                    if(k<=x) dp[1][k]++;
                    else dp[0][k]++;
                }
            }
        }
        int temp=0;
            for(int k=1;k<=m;k++){
                temp+= dp[0][k]*dp[1][k];
            }
            resenje= min(resenje,temp);

    }
    cout << resenje;

    return 0;
}